%define major 6
%define libxtst %mklibname xtst %major
%define devxtst %mklibname xtst -d

Name: libxtst
Summary:  The Xtst Library
Version: 1.2.3
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXtst-%{version}.tar.bz2
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxfixes-devel
BuildRequires: libxi-devel >= 1.3
BuildRequires: x11-proto-devel >= 7.5
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: xmlto 
BuildRequires: docbook-dtd412-xml

%description
The Xtst Library

#-----------------------------------------------------------

%package -n %{libxtst}
Summary:  The Xtst Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxtst}
The Xtst Library

%files -n %{libxtst}
%{_libdir}/libXtst.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxtst}
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxtst} = %{version}-%{release}
Provides: libxtst-devel = %{version}-%{release}
Obsoletes: %{_lib}xtst6-devel < 1.2.2-2
Obsoletes: %{_lib}xtst6-static-devel < 1.2.2-2

%description -n %{devxtst}
Development files for %{name}

%files -n %{devxtst}
%{_libdir}/libXtst.so
%{_libdir}/pkgconfig/xtst.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/XTest*
%{_datadir}/doc/libXtst

#-----------------------------------------------------------

%prep
%setup -q -n libXtst-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete


%changelog
* Wed Oct 05 2016 tv <tv> 1.2.3-1.mga6
+ Revision: 1058897
- new release

* Fri Feb 05 2016 umeabot <umeabot> 1.2.2-6.mga6
+ Revision: 939713
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-5.mga5
+ Revision: 738803
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-4.mga5
+ Revision: 681903
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.2-3.mga4
+ Revision: 532708
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.2.2-2.mga4
+ Revision: 469346
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop static devel pkg

* Fri May 31 2013 tv <tv> 1.2.2-1.mga4
+ Revision: 433636
- BR xfixes-devel
- new release

* Sat Jan 12 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 358661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.2.1-1.mga2
+ Revision: 222266
- new release

* Sun Nov 20 2011 dmorgan <dmorgan> 1.2.0-2.mga2
+ Revision: 170009
- Remove .la files

* Tue Jan 11 2011 dmorgan <dmorgan> 1.2.0-1.mga1
+ Revision: 6165
- imported package libxtst

